apiVersion: v1
kind: Namespace
metadata:
  name: awesome-app-production
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: api
  name: api
  namespace: awesome-app-production
spec:
  ports:
  - name: api-service
    port: 80
    targetPort: 80
  selector:
    app: api
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: external-lb
  namespace: awesome-app-production
spec:
  ports:
  - name: web
    port: 5100
    targetPort: web
  selector:
    lbtype: external
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: web
  name: web
  namespace: awesome-app-production
spec:
  ports:
  - port: 5100
    protocol: TCP
    targetPort: 80
  selector:
    app: web
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: api
  name: api
  namespace: awesome-app-production
spec:
  replicas: 1
  selector:
    matchLabels:
      app: api
  template:
    metadata:
      labels:
        app: api
    spec:
      containers:
      - image: registry.gitlab.com/pkng-demos-bar/my-k8s/mygitops/awesome-co/services/api/main:latest
        name: api
        resources:
          limits:
            cpu: 100m
            memory: 128Mi
          requests:
            cpu: 70m
            memory: 64Mi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: web
  name: web
  namespace: awesome-app-production
spec:
  replicas: 1
  selector:
    matchLabels:
      app: web
      lbtype: external
  template:
    metadata:
      labels:
        app: web
        lbtype: external
    spec:
      containers:
      - image: registry.gitlab.com/pkng-demos-bar/my-k8s/mygitops/awesome-co/consumer-products/web-app/main:latest
        name: web
        ports:
        - containerPort: 80
          name: web
